Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1661110 (CVE-2018-15126) - CVE-2018-15126 libvncserver: Use-after-free in file transfer extension allows for potential code execution
Summary: CVE-2018-15126 libvncserver: Use-after-free in file transfer extension allows...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-15126
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1661112 1661111
Blocks: 1661105
TreeView+ depends on / blocked
 
Reported: 2018-12-20 06:57 UTC by Sam Fowler
Modified: 2021-02-16 22:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-21 10:42:53 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-12-20 06:57:13 UTC
LibVNC before commit 73cb96fec028a576a5a24417b57723b55854ad7b contains a heap use-after-free vulnerability in the server code of the file transfer extension, which can result in remote code execution. This attack appears to be exploitable via network connectivity. This vulnerability has been fixed in 73cb96fec028a576a5a24417b57723b55854ad7b and later.


External Reference:

https://ics-cert.kaspersky.com/advisories/klcert-advisories/2018/12/19/klcert-18-027-libvnc-heap-use-after-free/


Upstream Patch:

https://github.com/LibVNC/libvncserver/commit/73cb96fec028a576a5a24417b57723b55854ad7b

Comment 1 Sam Fowler 2018-12-20 06:57:26 UTC
Created libvncserver tracking bugs for this issue:

Affects: epel-7 [bug 1661112]
Affects: fedora-all [bug 1661111]

Comment 2 Sam Fowler 2018-12-20 07:37:01 UTC
Upstream Issue:

https://github.com/LibVNC/libvncserver/issues/242

Comment 3 Sam Fowler 2018-12-20 08:01:58 UTC
Reference:

https://seclists.org/oss-sec/2018/q4/212

Comment 4 Stefan Cornelius 2018-12-21 10:41:44 UTC
Statement:

This issue did not affect the versions of libvncserver as shipped with Red Hat Enterprise Linux 6 and 7, as they did not include support for tightvnc file transfer.


Note You need to log in before you can comment on or make changes to this bug.